cURL
curl --request POST \
--url https://app.teable.ai/api/plugin \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","detailDesc":"string","logo":"string","url":"http://example.com","config":{"contextMenu":{"width":0,"height":0,"x":0,"y":0,"frozenResize":true,"frozenDrag":true},"view":null,"dashboard":null,"panel":null},"helpUrl":"http://example.com","positions":["dashboard"],"i18n":{"en":{"title":"Plugin title","description":"Plugin description"},"zh":{"title":"插件标题","description":"插件描述"}},"autoCreateMember":true}'const url = 'https://app.teable.ai/api/plugin';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"name":"string","description":"string","detailDesc":"string","logo":"string","url":"http://example.com","config":{"contextMenu":{"width":0,"height":0,"x":0,"y":0,"frozenResize":true,"frozenDrag":true},"view":null,"dashboard":null,"panel":null},"helpUrl":"http://example.com","positions":["dashboard"],"i18n":{"en":{"title":"Plugin title","description":"Plugin description"},"zh":{"title":"插件标题","description":"插件描述"}},"autoCreateMember":true}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/plugin',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
name: 'string',
description: 'string',
detailDesc: 'string',
logo: 'string',
url: 'http://example.com',
config: {
contextMenu: {width: 0, height: 0, x: 0, y: 0, frozenResize: true, frozenDrag: true},
view: null,
dashboard: null,
panel: null
},
helpUrl: 'http://example.com',
positions: ['dashboard'],
i18n: {
en: {title: 'Plugin title', description: 'Plugin description'},
zh: {title: '插件标题', description: '插件描述'}
},
autoCreateMember: true
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"name\":\"string\",\"description\":\"string\",\"detailDesc\":\"string\",\"logo\":\"string\",\"url\":\"http://example.com\",\"config\":{\"contextMenu\":{\"width\":0,\"height\":0,\"x\":0,\"y\":0,\"frozenResize\":true,\"frozenDrag\":true},\"view\":null,\"dashboard\":null,\"panel\":null},\"helpUrl\":\"http://example.com\",\"positions\":[\"dashboard\"],\"i18n\":{\"en\":{\"title\":\"Plugin title\",\"description\":\"Plugin description\"},\"zh\":{\"title\":\"插件标题\",\"description\":\"插件描述\"}},\"autoCreateMember\":true}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/plugin", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"id": "<string>",
"name": "<string>",
"logo": "<string>",
"positions": [],
"secret": "<string>",
"createdTime": "<string>",
"description": "<string>",
"detailDesc": "<string>",
"url": "<string>",
"config": {
"contextMenu": {
"width": 123,
"height": 123,
"x": 123,
"y": 123,
"frozenResize": true,
"frozenDrag": true
},
"view": null,
"dashboard": null,
"panel": null
},
"helpUrl": "<string>",
"i18n": {
"en": {
"title": "Plugin title",
"description": "Plugin description"
},
"zh": {
"title": "插件标题",
"description": "插件描述"
}
},
"pluginUser": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>"
}
}plugin
Post plugin
Create a plugin
POST
/
plugin
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Required string length:
1 - 20Minimum array length:
1可用选项:
dashboard, view, contextMenu, panel Maximum string length:
150Maximum string length:
3000Show child attributes
Show child attributes
示例:
{
"en": {
"title": "Plugin title",
"description": "Plugin description"
},
"zh": { "title": "插件标题", "description": "插件描述" }
}
响应
201 - application/json
Returns data about the plugin.
可用选项:
dashboard, view, contextMenu, panel 可用选项:
developing, reviewing, published Show child attributes
Show child attributes
示例:
{
"en": {
"title": "Plugin title",
"description": "Plugin description"
},
"zh": { "title": "插件标题", "description": "插件描述" }
}
Show child attributes
Show child attributes
最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

